# Generated by Django 3.0.4 on 2020-11-13 02:30

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='EMailEntity',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.EmailField(max_length=254)),
                ('name', models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name='Folder',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('is_active', models.BooleanField(default=True)),
                ('name', models.CharField(max_length=255)),
                ('last_uid', models.IntegerField()),
                ('uid_validity', models.IntegerField()),
                ('sent', models.BooleanField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='IMAPAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('username', models.CharField(max_length=255)),
                ('password', models.CharField(blank=True, default=None, max_length=255, null=True)),
                ('token', models.CharField(blank=True, default=None, max_length=255, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='IMAPServer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('host', models.CharField(max_length=255)),
                ('port', models.IntegerField(default=993)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SMTPServer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('host', models.CharField(max_length=255)),
                ('port', models.IntegerField(default=465)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SMTPAccount',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('username', models.CharField(max_length=255)),
                ('password', models.CharField(blank=True, default=None, max_length=255, null=True)),
                ('token', models.CharField(blank=True, default=None, max_length=255, null=True)),
                ('server', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='accounts', to='zenmailbox.SMTPServer')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Mailbox',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('is_active', models.BooleanField(default=True)),
                ('imap_account', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='mailbox', to='zenmailbox.IMAPAccount')),
                ('smtp_account', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='mailbox', to='zenmailbox.SMTPAccount')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Mail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('deleted_at', models.DateTimeField(blank=True, null=True)),
                ('is_deleted', models.BooleanField(default=False)),
                ('message_id', models.CharField(max_length=255, unique=True)),
                ('plain_text', models.TextField()),
                ('html', models.TextField()),
                ('_from', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='mails_from', to='zenmailbox.EMailEntity')),
                ('bcc', models.ManyToManyField(related_name='mails_bcc', to='zenmailbox.EMailEntity')),
                ('cc', models.ManyToManyField(related_name='mails_cc', to='zenmailbox.EMailEntity')),
                ('folder', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='mails', to='zenmailbox.Folder')),
                ('in_reply_to', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='replies', to='zenmailbox.Mail')),
                ('to', models.ManyToManyField(related_name='mails_to', to='zenmailbox.EMailEntity')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='imapaccount',
            name='server',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='accounts', to='zenmailbox.IMAPServer'),
        ),
        migrations.AddField(
            model_name='folder',
            name='mailbox',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='folders', to='zenmailbox.Mailbox'),
        ),
    ]
